@import url('https://fonts.googleapis.com/css?family=Open+Sans');

    *{
        margin: 0;
        padding: 0;
        font-family: 'Inter', sans-serif; 

    }
    body {
        margin: auto auto;
        padding: 0;
        width: 1440px;
    }
    .navigation{
        position: fixed;
        width: 1440px; 
        height: 100px;
        z-index: 900;
        background: transparent; 
        transition: background 0.3s ease;
    }

    ul{
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: end;
        text-decoration: none;
        list-style:  none;
        font-size: 1.1rem;
    }
    li{
        color: aliceblue;
        margin-right: 2rem;
        transform: translateY(-4rem);
    }
    ul p{
        color: aliceblue;
        margin-right: 2rem;
        transform: translateY(-4rem); 
    }
    li span{
        cursor: pointer;
    }
    li a:hover{
      color: #3DB8FB;
  }
/* Styles for anchor tags */
li a {
    position: relative; 
    transition: color 0.3s ease; 
}

li a::before,
li a::after {
    content: ''; 
    position: absolute; 
    width: 0; 
    height: 1.5px; 
    background-color: #3DB8FB; 
    transition: width 0.5s ease; 
}

li a::before {
    top: 0;
    left: 0; 
}

li a::after {
    bottom: 0;
    right: 0;
}

li a:hover::before,
li a:hover::after {
    width: 100%; 
}

li a:hover {
    color: #3DB8FB; 
}

/* Styles for spans within anchor tags */
ul p a span:hover {
    color: #3DB8FB; 
    cursor: pointer; 

}

    a{
        text-decoration: none;
        color: #fff;
    }
 
      .logo{
        margin-left: 1rem;
        height: 90px;
        width: 100px;
        cursor: pointer;
    }

    .footer{
        margin-top: 2rem;
        height: 250px;
        width: 100%;
        background: #36193B;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .logo1 img{
        transform: translateY(1rem);
        height: 150px;
        width: 150px;
        margin-top: -1rem;
    }
    .social{
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        margin-top: 1rem;
        color: #fff;
        font-size: 1.4rem;
    }
    .social i{
        margin-left: 1rem;
        cursor: pointer;
    }
    .copyrights{
        color: #fff;
        margin-top: 1rem;
        font-size: 0.9rem;
    }
    .fab.fa-instagram:hover {
        background: linear-gradient(to bottom, #4964ef, #615ae1, #8840b8, #c23987);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent; 
        background-clip: text;
    }
    
    
    .fab.fa-youtube:hover {
        color: #fe0c0c;
    }
    
    .fab.fa-facebook:hover {
        color: #4828fe;
    }
    /* mac size and small desktop size*/
@media screen and (min-width: 1024px) and (max-width: 1400px) {
    *{
        margin: 0;
        padding: 0;
    }
    body{
        margin: auto auto;
        padding: 0;
        width: 1024px;
    }
    .navigation{
        width: 1024px; 
        height: 100px;
    }
    ul{
        font-size: 1rem;
    }
    .footer{
        width: 1024px; 
    }
}
/* tab size */
@media screen and (min-width: 744px) and (max-width: 1024px) {    
    *{
        margin: 0;
        padding: 0;
    }
    body{
        margin: auto auto;
        padding: 0;
        width: 744px;
    }
    .navigation{
        width: 744px; 
        height: 70px;
    }
    
    ul p{
        font-size: 0.5rem;
    }
    li{
        transform: translateY(-2.5rem);
        font-size: 1rem;
        margin-right: 1rem;
    }
    .logo{
        height: 60px;
        width: 70px;
    }
    .footer{
        width: 744px; 
        height: 220px;
    }
    .logo1 img{
        width: 100px;
        height: 100px;
    }
    .social i{
        margin-left: 0.5rem;
        font-size: 0.9rem;
    }
    .copyrights{
        margin-top: 1rem;
        font-size: 0.7rem;
    }
}

@media screen and (min-width: 320px) and (max-width: 700px) {
    *{
        margin: 0;
        padding: 0;
    }
    body{
        margin: auto auto;
        padding: 0;
        width: 320px;
    }
    .navigation{
        width: 320px; 
        height: 45px;
        position: relative;
        background-color: rgba(54, 25, 59);
       }
    
    ul{
        font-size: 0.2rem;
    }
    li{
        transform: translateY(-1.7rem);
        font-size: 0.7rem;
        margin-right: 0.5rem;
    }
     #accountCircle .material-symbols-outlined {
        font-size: 0.88rem;
    }
     .dropdown-content {
        min-width: 90px;
        padding: 4px 6px;
        z-index: 1;
        transform: translateX(-4.5rem);
    }
    .logo{
        height: 30px;
        width: 40px;
        margin-left: 0.2rem;   
        margin-top: 0.4rem; 
        }
    .footer{
        width: 320px; 
        height: 120px;
    }
    .logo1 img{
        width: 60px;
        height: 60px;
    }
    .social i{
        margin-left: 0.5rem;
        font-size: 0.7rem;
    }
    .copyrights{
        margin-top: 0.2rem;
        font-size: 0.52rem;
}
}
